<mat-drawer-container (backdropClick)="close('backdrop')" class="example-container" autosize>
  <mat-drawer [class.mat-elevation-z2]="true" *ngIf="layout" opened="{{layout.sidebar}}" #drawer class="example-sidenav" mode="{{layout.mode}}">
      <app-usersidebar></app-usersidebar>
  </mat-drawer>
  <div class="example-sidenav-content">
      <app-userheader></app-userheader>
      <div class="container-fluid">
          <div class="row">
              <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                  <ng-content></ng-content>
              </div>
          </div>
      </div>
      <app-userfooter></app-userfooter>
  </div>
</mat-drawer-container>